libzmq/autogen.sh

Ignoring revisions in .git-blame-ignore-revs. Click here to bypass and see the normal blame view.

34 lines
937 B
Bash
Raw Normal View History

2009-07-29 12:07:54 +02:00
#!/bin/sh
# SPDX-License-Identifier: MPL-2.0
2009-07-29 12:07:54 +02:00
# Script to generate all required files from fresh git checkout.
2009-07-29 12:07:54 +02:00
2016-11-04 14:21:33 +01:00
# Debian and Ubuntu do not ship libtool anymore, but OSX does not ship libtoolize.
command -v libtoolize >/dev/null 2>&1
2010-02-20 21:03:12 +01:00
if [ $? -ne 0 ]; then
command -v libtool >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not find libtool. libtool is required to run autogen.sh." 1>&2
exit 1
fi
2010-02-20 21:03:12 +01:00
fi
command -v autoreconf >/dev/null 2>&1
if [ $? -ne 0 ]; then
2010-03-15 15:47:17 +01:00
echo "autogen.sh: error: could not find autoreconf. autoconf and automake are required to run autogen.sh." 1>&2
exit 1
fi
mkdir -p ./config
if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not create directory: ./config." 1>&2
2010-01-05 11:05:03 +01:00
exit 1
fi
2010-01-05 11:05:03 +01:00
2009-07-29 12:07:54 +02:00
autoreconf --install --force --verbose -I config
res=$?
if [ "$res" -ne 0 ]; then
echo "autogen.sh: error: autoreconf exited with status $res" 1>&2
2010-01-05 11:05:03 +01:00
exit 1
2009-07-29 12:07:54 +02:00
fi